Package Gnumed :: Package wxpython :: Module gmContactWidgets |
[frames] | no frames]

# Module gmContactWidgets

source code

GNUmed generic contact related widgets.

Author: karsten.hilbert@gmx.net

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cCommChannelTypePhraseWheel
| cCommChannelEditAreaPnl An edit area for editing/creating a comms channel.
| cCommChannelsManagerPnl A list for managing a person's comm channels.

Functions
manage_comm_channel_types(parent=None) | source code
edit_comm_channel(parent=None, comm_channel=None, channel_owner=None) | source code

Variables
| __package__ = ``'``Gnumed.wxpython``'``

Imports: logging, sys, wx, gmPG2, gmTools, gmMatchProvider, gmDispatcher, gmDemographicRecord, gmListWidgets, gmPhraseWheel, gmEditArea, gmGuiHelpers, wxgCommChannelEditAreaPnl